{
    "dynamic":"strict",
    "properties": {
        "id":{"type":"long"},
        "create_time":{"type":"date","format":"date_time_no_millis"}, //创建时间
        "create_time_epoch":{"type": "long"},//创建时间
        "has_cover":{"type":"boolean"},//是否有封面
        "user":{
            "type":"object",
            "properties":{
                "id":{"type":"long"},
                "last_name":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //用户昵称
                "city_tag_id":{"type":"long"}, //所在城市tag id
                "city_province_tag_id":{"type":"long"}, //所在省份tag id
                "city_province_country_tag_id": {"type": "long"}, // 所在国家 tag id
                "is_doctor":{"type":"boolean"} //是否是医生
            }
        },
        "doctor":{//关联到医生
            "type":"object",
            "properties":{
                "id":{"type":"string","index":"not_analyzed"},
                "name":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}
            }
        },
        "title":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //问题标题(title)
        "content":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //问题内容
        "is_online":{"type":"boolean"}, //是否上线
        "is_recommend":{"type":"boolean"}, //是否推荐问题
        "last_update_time":{ //最后更新时间(回复时间/修改时间)
            "type":"date",
            "format":"date_time_no_millis"
        },
        "last_update_time_answer_reply": {  // 最后更新时间（包括评论）
            "type":"date",
            "format":"date_time_no_millis"
        },
        "tags":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //帖子tag
        "closure_tag_ids":{"type":"long"}, //帖子tag id闭包
        "tag_ids":{"type":"long"}, //帖子tag id

        // 新标签
        "fresh_tags":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //帖子tag
        "fresh_closure_tag_ids":{"type":"long"}, //帖子tag id闭包
        "fresh_tag_ids":{"type":"long"}, //帖子tag id

        "answers":{ //问题回答
            "type":"nested",
            "properties":{
                "id":{"type":"long"}, //回答id
                "create_time":{"type":"date","format":"date_time_no_millis"}, //创建时间
                "content":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //回答内容
                "is_online":{"type":"boolean"}, //是否上线
                "is_recommend":{"type":"boolean"}, //是否上线,
                "level": {"type":"long"}
            }
        },
        "answers_num":{"type":"long"},
        "answer_likes_num":{"type":"long"},
        "views_num":{"type":"long"},
        "answer_views_num":{"type":"long"},
        "recommended_answer_create_time":{"type":"date","format":"date_time_no_millis"},
        "like_num":{"type":"long"},//帖子点赞数
        "answer_last_update_time_epoch":{"type": "long"},//最后更新时间,
        "has_recommended_answer":{"type":"boolean"},//是否含有推荐回答,
        "city_tag_id":{"type":"long"}, //所在城市tag id
        "city_province_tag_id":{"type":"long"}, //所在省份tag id
        "city_province_country_tag_id": {"type": "long"}, // 所在国家 tag id
        "in_multitopic":{"type":"boolean"},
        "in_whitelist":{"type":"boolean"}, // whether problem_id or question_id is in MultiTopicReview
        "score":{"type":"float"},
        // 机构罚单
        "org_sink_start_time":{"type":"date","format":"date_time_no_millis"}, //开始时间
        "org_sink_end_time":{"type":"date","format":"date_time_no_millis"},//结束时间
        "question_type":{"type":"long"},
        "content_type":{"type":"string"},  // 问题内容类型(普通、视频)
        "question_lastest_answer_time": {"type":"date", "format":"date_time_no_millis"}, // 问题最新回答创建时间 or 问题创建时间
        "best_answer":{"type":"long"},
        "content_keyword":{"type":"string","index":"not_analyzed"},
        "content_star_keyword":{"type":"string","index":"not_analyzed"},
        "content_star_first_keyword":{"type":"string","index":"not_analyzed"},
        "title_keyword":{"type":"string","index":"not_analyzed"},
        "all_smk":{"type":"float"},
        "tags_v3": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 新标签
        "first_demands": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 1级诉求
        "second_demands": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级诉求
        "first_solutions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 1级方式
        "second_solutions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级方式
        "positions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 部位
        "second_positions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 二级部位
        "tagv3_ids": {"type": "long"}, //新标签id集合
        "first_demands_ids": {"type": "long"},
        "second_demands_ids": {"type": "long"},
        "first_solutions_ids": {"type": "long"},
        "second_solutions_ids": {"type": "long"},
        "first_positions_ids": {"type": "long"},
        "second_positions_ids": {"type": "long"},
        "first_classify_ids": {"type": "long"}, //新标签一级分类id集合
        "second_classify_ids": {"type": "long"}, //新标签二级分类id集合
        "first_classify_names": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, //新标签一级分类名称集合
        "second_classify_names": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"},//新标签二级分类名称集合
        "operators_add_tags":{"type":"long"} //新标签中运营添加的词   EXCHANGE交易运营  COMMUNITY社区运营
    }
}
